.page-body {
  font-family: "Ubuntu", sans-serif;
}

.background-img-wrap {
  background-image: url(../img/page-background.png);
  background-repeat: no-repeat;
  background-size: cover;
  min-height: 100vh;
}

.page-header {
  padding: 18px 79px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.4);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.logo-link {
  font-weight: 700;
  font-size: 22px;
  line-height: 22px;
  color: #ffffff;
  text-transform: uppercase;
  transition: color 0.5s;
}

.logo-link:hover {
  color: #3cb878;
}

.header-links-wrap {
  display: flex;
  gap: 53px;
  align-items: center;
}

.header-icons-list {
  padding-left: 0;
  margin-top: 0;
  margin-bottom: 0;
  list-style: none;
  width: 126px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-icons-link {
  display: block;
}

.header-icon {
  display: block;
}

.header-icons-path {
  transition: fill 0.5s;
}

.header-icons-link:hover .header-icons-path {
  fill: #3cb878;
}

.header-auth-text {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 14px;
  line-height: 14px;
  color: #ffffff;
  position: relative;
}

.header-auth-text::before {
  content: "";
  display: inline-block;
  width: 1px;
  height: 19px;
  background-color: rgba(255, 255, 255, 0.9);
  opacity: 0.5;
  position: absolute;
  left: -27px;
  top: -2px;
}

.header-auth-link {
  color: #ffffff;
  transition: color 0.5s;
}

.header-auth-link:hover {
  color: #3cb878;
}

.btn-change-theme {
 padding: 10px;
 color: #ffffff;
 border-radius: 4px;
 border: none;
 cursor: pointer;
 transition: .5s;
 background-color: #FC7E0F;
}

.btn-change-theme:hover {
background-color:#ed6001;
}
  

.main-content {
  padding-top: 54px;
  padding-bottom: 54px;
  min-height: 92vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.auth-form {
  width: 444px;
  background-color: #ffffff;
  box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
  padding: 31px 60px 38px;
  position: relative;
}

.form-titles-wrap {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  margin-bottom: 13px;
}

.form-title {
  font-weight: 400;
  font-size: 20px;
  line-height: 18px;
  color: #434343;
  margin-top: 0;
  margin-bottom: 0;
}

.form-title::before {
  content: "";
  display: inline-block;
  width: 18px;
  height: 18px;
  background: #3cb878;
  position: absolute;
  left: 0;
}

.form-login-link {
  font-size: 14px;
  line-height: 15px;
  color: #3cb878;
  transition: 0.5s;
}

.form-login-link:hover {
  color: #01813f;
  text-decoration: underline #01813f;
}

.form-socials-wrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 31px;
}

.form-socials-link {
  width: 158px;
  border-radius: 3px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: 0.5s;
}

.form-socials-link-facebook {
  background-color: #305db8;
  padding: 12px 22px 12px 16px;
  position: relative;
}

.form-socials-link-google {
  background-color: #df4a32;
  padding: 15px 27px 14px 10px;
  position: relative;
}

.form-socials-link-facebook:hover {
  background-color: #022263;
}

.form-socials-link-google:hover {
  background-color: #ab1f09;
}

.form-socials-name {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 16px;
  line-height: 16px;
  color: #ffffff;
}

.form-socials-name--facebook::before,
.form-socials-name--google::before {
  content: "";
  display: inline-block;
  width: 1px;
  height: 28px;
  opacity: 0.1;
  position: absolute;
  left: 48px;
  top: 10px;
}
.form-socials-name--facebook::before {
  background-color: #0a162f;
}

.form-socials-name--google::before {
  background-color: #2b0d09;
}

.or-line {
  margin-top: 0;
  margin-bottom: 12px;
  font-size: 14px;
  line-height: 14px;
  color: #848484;
  text-align: center;
  position: relative;
}

.or-line::before,
.or-line::after {
  content: "";
  width: 152px;
  height: 1px;
  background-color: #f2f2f2;
  display: inline-block;
  position: absolute;
  top: 8px;
}

.or-line::before {
  left: 0;
}

.or-line::after {
  right: 0;
}

.form-label-hiden {
  display: none;
}

.form-field {
  width: 100%;
  display: inline-block;
  vertical-align: middle;
  padding: 15px 20px;
  border: 1px solid #f2f2f2;
  border-radius: 4px;
  margin-bottom: 15px;
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  color: #434343;
  outline: none;
  transition: box-shadow 0.5s;
}

.form-field:nth-child(5) {
  margin-bottom: 12px;
}

::placeholder {
  font-size: 14px;
  line-height: 14px;
  color: #bebebe;
}

.form-field:focus {
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
}

.terms-acception-checkbox {
  position: absolute;
  z-index: -1;
  opacity: 0;
  margin: 10px 0 0 20px;
}

.terms-acception-text {
  font-size: 14px;
  line-height: 14px;
  color: #434343;
  cursor: pointer;
  position: relative;
  padding-left: 28px;
}

.terms-acception-text::before {
  content: "";
  display: inline-block;
  width: 20px;
  height: 20px;
  border: 1px solid #f2f2f2;
  position: absolute;
  left: 0;
}

.terms-acception-text::after {
  content: url(../img/checkbox.svg);
  width: 14px;
  height: 14px;
  position: absolute;
  left: 2px;
  top: 1px;
  display: none;
}

.terms-acception-checkbox:checked + .terms-acception-text::after {
  display: inline-block;
}

.terms-acception-link {
  padding-bottom: 1px;
  color: #3cb878;
  transition: 0.5s;
}

.terms-acception-text:hover .terms-acception-link {
  color: #01813f;
  border-bottom: 1px solid #01813f;
}

.form-submit-button {
  width: 100%;
  background: rgba(60, 184, 120, 0.8);
  border: none;
  border-radius: 4px;
  font-size: 16px;
  line-height: 16px;
  color: #ffffff;
  padding: 16px 20px;
  text-align: center;
  margin-top: 20px;
  cursor: pointer;
  transition: 0.5s;
}

.form-submit-button:hover {
  background-color: #01813f;
}
